Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/py-psutil: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sun, 24 Apr 2016 13:12:04 +0000

---
 testing/py-psutil/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/py-psutil/APKBUILD
diff --git a/testing/py-psutil/APKBUILD b/testing/py-psutil/APKBUILD
new file mode 100644
index 0000000..18316f1
--- /dev/null
+++ b/testing/py-psutil/APKBUILD
_at_@ -0,0 +1,38 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=py-psutil
+_pkgname=psutil
+pkgver=3.3.0
+pkgrel=0
+pkgdesc="A cross-platform process and system utilities module for Python"
+url="https://github.com/giampaolo/psutil"
+arch="all"
+license="BSD"
+depends="python"
+makedepends="python-dev py-setuptools linux-headers"
+source="https://pypi.python.org/packages/source/p/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="0625db01ea46417308db94cc59362b65  psutil-3.3.0.tar.gz"
+sha256sums="421b6591d16b509aaa8d8c15821d66bb94cb4a8dc4385cad5c51b85d4a096d85  psutil-3.3.0.tar.gz"
+sha512sums="dd6542b8900f0884d0bdfdc6668d884f5b77f0054d3c1358d5c9d78ed54ebed7f9caf2d6c2f954f57e06931cc485d9146a3f1f1a3a1f416f66f11fa26df1f2f0  psutil-3.3.0.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Apr 24 2016 - 13:12:04 GMT